org.jboss.jca.codegenerator

## Class SimpleTemplate

- java.lang.Object
- - org.jboss.jca.codegenerator.SimpleTemplate

- All Implemented Interfaces:
    Template

      public class SimpleTemplate
      extends java.lang.Object
      implements Template

  A SimpleTemplate.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTemplate(java.lang.String input)` SimpleTemplate
    `SimpleTemplate(java.net.URL input)` SimpleTemplate

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(java.util.Map<java.lang.String,java.lang.String> varMap, java.io.Writer out)` Processes the template
    `java.lang.String` | `replace(java.util.Map<java.lang.String,java.lang.String> varMap)` Replace string in the template text

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTemplate

          public SimpleTemplate(java.lang.String input)

      SimpleTemplate
      Parameters:
        `input` - template string

    - #### SimpleTemplate

          public SimpleTemplate(java.net.URL input)

      SimpleTemplate
      Parameters:
        `input` - template string

  - ### Method Detail

    - #### process

          public void process(java.util.Map<java.lang.String,java.lang.String> varMap,
                              java.io.Writer out)

      Processes the template
      Specified by:
        `process` in interface `Template`
      Parameters:
        `varMap` - variable map
        `out` - the writer to output the text to.

    - #### replace

          public java.lang.String replace(java.util.Map<java.lang.String,java.lang.String> varMap)

      Replace string in the template text
      Parameters:
        `varMap` - variable map
      Returns:
        replaced string

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)